include:
  - .gitlab-ci-publish.yml

stages:
  - lint
  - test
  - build

lint-job:
  stage: lint
  image: pyfound/black:latest
  script:
    - black . --check

unit-test-job:
  stage: test
  image: python:3.9
  before_script:
        - pip install -r requirements-tests.txt
  script:
    - pytest
